Subject: Re: bug#16481: dfa.c and Rational Range Interpretation

From: [email-masked]
Date: Mon, 10 Feb 2014 03:53:58 -0700

> If you use --with-included-regex, the patch is a no-op.  Thus it can be 
> reverted.

Whether or not you use the included regex, there are still problems, if not
outright bugs, in that code that I pointed out in my initial mail several
weeks ago.

> > Personally, I think grep should always use the included regex so that
> > then the behavior is consistent across all platforms everywhere; this
> > is why gawk always uses its own regex.
>
> I wouldn't be surprised if GNU distros patch gawk's regex away to get 
> consistency with grep, sed, etc.

Their loss. To date I know of no distro that does this. And the world is
bigger than just GNU syystems.

We've gone around on this before and we continue to disagree. I have
nothing else to add to this discussion.

Arnold